Advanced search  

News:

cpg1.5.48 Security release - upgrade mandatory!
The Coppermine development team is releasing a security update for Coppermine in order to counter a recently discovered vulnerability. It is important that all users who run version cpg1.5.46 or older update to this latest version as soon as possible.
[more]

Pages: [1]   Go Down

Author Topic: captcha v3.0 and vers. 1.4.14 (stable) problems  (Read 7409 times)

0 Members and 1 Guest are viewing this topic.

andrexerxes

  • Coppermine newbie
  • Offline Offline
  • Posts: 4
captcha v3.0 and vers. 1.4.14 (stable) problems
« on: November 19, 2007, 01:15:08 pm »

Hello,

I have a problem with installing captcha 3.0.

First I have Coppermine Photo Gallery 1.4.6  and captcha 2.0
It works fine.
Only I had spam of wow gold.
So I have install captcha 3.0 but it won’t work. The picture couldn’t I see.

I have update Coppermine Photo Gallery 1.4.6 to 1.4.14
Everything works fine but not captcha 3.0

I can’t install it and earlier version don’t work either. 1.9 - 2.0 -3.0

I’ll get this message.


Kritieke fout
Er was een fout bij het ophalen van de gegevens uit de database.

While executing query "

Bestand: /home/httpd/vhosts/vanspanning.nl/httpdocs/gallery/include/functions.inc.php - Regel: 249


And the debug mode says


Code: [Select]
USER:
------------------
Array
(
    [ID] => 48c57ce3578d218b22614214f6f8f71c
    [am] => 1
    [lang] => dutch
    [liv] => Array
        (
            [0] => 685
            [1] => 379
            [2] => 1022
            [3] => 1021
            [4] => 2
        )

    [sort] => dd
    [name] => andre
)

==========================
USER DATA:
------------------
Array
(
    [user_id] => 1
    [user_name] => Admin
    [groups] => Array
        (
            [0] => 1
        )

    [disk_max] => 0
    [disk_min] => 0
    [can_rate_pictures] => 1
    [can_send_ecards] => 1
    [ufc_max] => 3
    [ufc_min] => 3
    [custom_user_upload] => 0
    [num_file_upload] => 5
    [num_URI_upload] => 3
    [can_post_comments] => 1
    [can_upload_pictures] => 1
    [can_create_albums] => 1
    [has_admin_access] => 1
    [pub_upl_need_approval] => 0
    [priv_upl_need_approval] => 0
    [group_name] => Administrators
    [upload_form_config] => 3
    [group_quota] => 0
    [can_see_all_albums] => 1
    [group_id] => 1
)

==========================
Queries:
------------------
Array
(
    [0] => SELECT extension, mime, content, player FROM cpg148_filetypes; (0.001s)
    [1] => select * from cpg148_plugins order by priority asc; (0s)
    [2] => delete from `Gallery`.cpg148_sessions where time<1195470238 and remember=0; (0s)
    [3] => delete from `Gallery`.cpg148_sessions where time<1194264238; (0s)
    [4] => select user_id from `Gallery`.cpg148_sessions where session_id=md5("0231b9d9c105437be46eda33e95379d471cdd5ce8e162eacf0311e8415d41071"); (0s)
    [5] => select user_id as id, user_password as password from `Gallery`.cpg148_users where user_id=1 (0s)
    [6] => SELECT u.user_id AS id, u.user_name AS username, u.user_password AS password, u.user_group+100 AS group_id FROM `Gallery`.cpg148_users AS u INNER JOIN `Gallery`.cpg148_usergroups AS g ON u.user_group=g.group_id WHERE u.user_id='1' (0s)
    [7] => SELECT user_group_list FROM `Gallery`.cpg148_users AS u WHERE user_id='1' and user_group_list <> ''; (0s)
    [8] => SELECT MAX(group_quota) as disk_max, MIN(group_quota) as disk_min, MAX(can_rate_pictures) as can_rate_pictures, MAX(can_send_ecards) as can_send_ecards, MAX(upload_form_config) as ufc_max, MIN(upload_form_config) as ufc_min, MAX(custom_user_upload) as custom_user_upload, MAX(num_file_upload) as num_file_upload, MAX(num_URI_upload) as num_URI_upload, MAX(can_post_comments) as can_post_comments, MAX(can_upload_pictures) as can_upload_pictures, MAX(can_create_albums) as can_create_albums, MAX(has_admin_access) as has_admin_access, MIN(pub_upl_need_approval) as pub_upl_need_approval, MIN( priv_upl_need_approval) as  priv_upl_need_approval FROM cpg148_usergroups WHERE group_id in (1) (0s)
    [9] => SELECT group_name FROM  cpg148_usergroups WHERE group_id= 1 (0s)
    [10] => update `Gallery`.cpg148_sessions set time='1195473838' where session_id=md5('0231b9d9c105437be46eda33e95379d471cdd5ce8e162eacf0311e8415d41071'); (0s)
    [11] => SELECT user_favpics FROM cpg148_favpics WHERE user_id = 1 (0s)
    [12] => SHOW TABLES LIKE 'cpg148_cms_config' (0s)
    [13] => SELECT * FROM cpg148_cms_config (0s)
    [14] => DELETE FROM cpg148_banned WHERE expiry < '2007-11-19 13:03:59' (0s)
    [15] => SELECT * FROM cpg148_banned WHERE (ip_addr='217.121.194.22' OR ip_addr='217.121.194.22' OR user_id=1) AND brute_force=0 (0s)
    [16] => select plugin_id from cpg148_plugins where path="captcha"; (0s)
    [17] => select priority from cpg148_plugins order by priority desc limit 1; (0s)
    [18] =>















CREATE TABLE  `cpg148_plugin_captcha` (
  `time` datetime NOT NULL default '0000-00-00 00:00:00',
  `ip_addr` tinytext NOT NULL,
  `code` char(32) NOT NULL default ''
) TYPE=MyISAM COMMENT='Used to store captcha code and user ip' (0s)
    [19] => SELECT COUNT(*) FROM cpg148_pictures WHERE approved = 'NO' (0.001s)
)

==========================
GET :
------------------
Array
(
    [op] => install
    [p] => captcha
)

==========================
POST :
------------------
Array
(
)

==========================
VERSION INFO :
------------------
PHP version: 4.3.11 - OK
------------------
mySQL version: 3.23.58
------------------
Coppermine version: 1.4.14(stable)
==========================
Module: GD
------------------
GD Version: bundled (2.0.28 compatible)
FreeType Support: 1
FreeType Linkage: with freetype
T1Lib Support:
GIF Read Support: 1
GIF Create Support: 1
JPG Support: 1
PNG Support: 1
WBMP Support: 1
XBM Support: 1
JIS-mapped Japanese Font Support:

==========================
Module: mysql
------------------
MySQL Supportenabled
Active Persistent Links 0
Active Links 1
Client API version 3.23.58
MYSQL_MODULE_TYPE external
MYSQL_SOCKET /var/lib/mysql/mysql.sock
MYSQL_INCLUDE -I/usr/include/mysql
MYSQL_LIBS -L/usr/lib/mysql -lmysqlclient 
==========================
Module: zlib
------------------
ZLib Support enabled
Compiled Version 1.2.0.7
Linked Version 1.2.0.7
==========================
Server restrictions (safe mode)?
------------------
Directive | Local Value | Master Value
safe_mode | On | On
safe_mode_exec_dir | no value | no value
safe_mode_gid | Off | Off
safe_mode_include_dir | no value | no value
safe_mode_exec_dir | no value | no value
sql.safe_mode | Off | Off
disable_functions | no value | no value
file_uploads | On | On
include_path | .:/usr/share/pear | .:/usr/share/pear
open_basedir | /home/httpd/vhosts/vanspanning.nl/httpdocs:/tmp | no value
==========================
email
------------------
Directive | Local Value | Master Value
sendmail_from | no value | no value
sendmail_path | /usr/sbin/sendmail -t -i | /usr/sbin/sendmail -t -i
SMTP | localhost | localhost
smtp_port | 25 | 25
==========================
Size and Time
------------------
Directive | Local Value | Master Value
max_execution_time | 30 | 30
max_input_time | 60 | 60
upload_max_filesize | 20971520 | 2M
post_max_size | 20971520 | 8M
==========================
Page generated in 0.329 seconds - 20 queries in 0.002 seconds - Album set : ; Meta set: ;


can someone help me?
« Last Edit: November 20, 2007, 04:39:17 pm by GauGau »
Logged

Joachim Müller

  • Dev Team member
  • Coppermine addict
  • ****
  • Offline Offline
  • Gender: Male
  • Posts: 47843
  • aka "GauGau"
    • gaugau.de
Re: captcha v3.0 and vers. 1.4.14 (stable) problems
« Reply #1 on: November 19, 2007, 06:38:56 pm »

Don't post debug_output unless requested. Instead: post a link to your gallery and a non-admin test user account. As well post what plugins you have installed.
Additionally make sure that you have the minimum requirements: do you have GD2 with freetype support? Attach a screenshot of phpinfo that shows the corresponding section to your posting (using "additional options") when composing your message.
Logged

andrexerxes

  • Coppermine newbie
  • Offline Offline
  • Posts: 4
Re: captcha v3.0 and vers. 1.4.14 (stable) problems
« Reply #2 on: November 19, 2007, 08:24:39 pm »

hello thnx for replying
Iam a newby of coppermine and php.
Please be pacient to me. My english is not very well,

link to my gallery is http://www.vanspanning.nl/gallery
I have make a test account
I don't have GD2 freetype support (I don't know how and where I can actvate it)

The only plugin is install is CPG MiniCMS v1.6
Logged

Hein Traag

  • Dev Team member
  • Coppermine addict
  • ****
  • Country: nl
  • Offline Offline
  • Gender: Male
  • Posts: 2166
  • A, B, Cpg
    • Personal website - Spintires.nl
Re: captcha v3.0 and vers. 1.4.14 (stable) problems
« Reply #3 on: November 19, 2007, 08:31:36 pm »

You did copy the captcha.php file to the root of your gallery ?
- Je hebt toch wel het bestand captcha.php gekopieerd naar de root van je gallery ?

[offtopic]
It's a bi-lingual reply so make sure your reply is so too.. dutch/english
[offtopic]

Cheers
Hein
Logged

andrexerxes

  • Coppermine newbie
  • Offline Offline
  • Posts: 4
Re: captcha v3.0 and vers. 1.4.14 (stable) problems
« Reply #4 on: November 19, 2007, 08:51:46 pm »

ja deze staat in root van mijn gallerry
Logged

Joachim Müller

  • Dev Team member
  • Coppermine addict
  • ****
  • Offline Offline
  • Gender: Male
  • Posts: 47843
  • aka "GauGau"
    • gaugau.de
Re: captcha v3.0 and vers. 1.4.14 (stable) problems
« Reply #5 on: November 20, 2007, 08:22:21 am »

I have make a test account
That's great. Would have been more helpfull if you would have posted it here. Otherwise, we would have to guess it, which is kind of hard to do.
I don't have GD2 freetype support
Then you can't use the captcha plugin. It's a minimum requirement. You should have read the announcement thread.

I don't know how and where I can actvate it
Answer: not at all. This is something only your webhost can do.

You have attached phpinfo.php to your reply, which is really, really useless - I know how the source code of that file looks, because I coded it. I was asking for the output it returns when you run it.

ja deze staat in root van mijn gallerry
Hein told you that you mustn't reply in Dutch only, but bilingually.

Bottom line: as you don't have Freetype, you can't use the captcha plugin. Only option for you is to disable anonymous users doing anything. Don't allow them to post comments or upload files.
You might want to try the mod Most Simple Comment Spam protection for 1.4.x instead, which is not that good, but doesn't require Freetype.
Logged

andrexerxes

  • Coppermine newbie
  • Offline Offline
  • Posts: 4
Re: captcha v3.0 and vers. 1.4.14 (stable) problems
« Reply #6 on: November 20, 2007, 04:05:13 pm »

Problem solved!   

I had a problem in phpMyAdmin.   
I have cpg148_plugin_captcha remote and also the cpg148_plugins there i have the capchta line delete
Afterwards I have installed the plugin ver.3.0.

Probably with the update from Coppermine of version 1.4.6 to 1.4.14 these have been blocked. 

thanks for help. ;D
Logged

Joachim Müller

  • Dev Team member
  • Coppermine addict
  • ****
  • Offline Offline
  • Gender: Male
  • Posts: 47843
  • aka "GauGau"
    • gaugau.de
Re: captcha v3.0 and vers. 1.4.14 (stable) problems
« Reply #7 on: November 20, 2007, 04:40:12 pm »

Then you must have freetype support available, so you posted wrong information here. Thanks for resolving your thread, but in the future make sure to provide proper information when asking for support.
Logged
Pages: [1]   Go Up
 

Page created in 0.019 seconds with 21 queries.